#include <catch2/catch_test_macros.hpp>
#include <fmt/core.h>
#include <string>
#include "textures.hpp"

using namespace fmt;

TEST_CASE("test texture management", "[textures]") {

  textures::init();
  auto spider = textures::get("hairy_spider");

  auto image = textures::load_image("assets/hairy_spider-256.png");

  auto img_ptr = textures::get_surface(0);
  REQUIRE(img_ptr != nullptr);
}
